# $Revision: 1.24 $, $Date: 2007/03/17 22:35:29 $
Summary:	A tool for printing multiple pages of text on each printed page
Summary(de.UTF-8):	plaziert mehrere Textseiten auf eine einzelne Postscript-Seite
Summary(fr.UTF-8):	Place plusieurs pages de texte sur une simple page postscript
Summary(pl.UTF-8):	Narzędzie pozwalające umieścić wiele stron na jednym wydruku
Summary(tr.UTF-8):	Birden fazla metin sayfasını tek bir PostScript sayfasına yerleştirir
Name:		mpage
Version:	2.5.1
Release:	8
License:	BSD
Group:		Applications/Publishing
Source0:	http://www.mesa.nl/pub/mpage/%{name}251pre.tgz
# Source0-md5:	04460353ae61405a8fc58545bad143a9
Patch0:		%{name}-make.patch
Patch1:		%{name}-config.patch
Patch2:		%{name}-debian.patch
Patch3:		%{name}-tempfile.patch
Patch4:		%{name}-j.patch
Patch5:		%{name}-level3.patch
Patch6:		%{name}-incomplete-type.patch
URL:		http://www.mesa.nl/index_e.html
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The mpage utility takes plain text files or PostScript(TM) documents
as input, reduces the size of the text, and prints the files on a
PostScript printer with several pages on each sheet of paper. Mpage is
very useful for viewing large printouts without using up tons of
paper. Mpage supports many different layout options for the printed
pages. Mpage should be installed if you need a useful utility for
viewing long text documents without wasting paper.

%description -l de.UTF-8
mpage formatiert mehrere Seiten ASCII-Text in eine einzelne
PostScript-Seite. Es unterstützt eine große Auswahl von Layouts.

%description -l fr.UTF-8
mpage formate plusieurs pages de texte ASCII en un seule en
PostScript. Il reconnait plusieurs mises en pages.

%description -l pl.UTF-8
Mpage pobiera czyta pliki z czystym tekstem lub PostScriptem(TM),
zmniejsza rozmiar tekstu i drukuje na drukarce postscriptowej
umieszczając wiele stron na jednym wydruku. Mpage jest bardzo
użyteczny do drukowania dużych plików bez marnowania ton papieru.
Mpage obsługuje wiele opcji dotyczących wyglądu drukowanych stron.
Warto zainstalować mpage jeśli potrzebujemy narzędzia do drukowania
dużych dokumentów bez marnowania papieru.

%description -l tr.UTF-8
mpage çok sayfalı ASCII metinlerini tek bir PostScript sayfasına
biçimler. Sayfanın son şeklinin değişik biçimlerde elde edilebilmesine
olanak verir.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
%{__make} \
	OPT_FLAGS="%{rpmcflags}" \
	LIBDIR="%{_libdir}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir}/mpage,%{_mandir}/man1}

%{__make} install \
	PREFIX=$RPM_BUILD_ROOT%{_prefix} \
	LIBDIR=$RPM_BUILD_ROOT%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README NEWS TODO
%attr(755,root,root) %{_bindir}/mpage
%{_mandir}/*/*
%{_libdir}/mpage

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mpage.spec,v $
Revision 1.24  2007/03/17 22:35:29  megabajt
- now package all files on x86_64 architectures

Revision 1.23  2007/02/15 20:46:39  qrczak
- Fixed a compilation error with a newer gcc
- Release 8

Revision 1.22  2007/02/13 07:16:48  glen
- tabs in preamble

Revision 1.21  2007/02/12 00:49:08  baggins
- converted to UTF-8

Revision 1.20  2005/02/21 20:28:58  roman
- corrected Polish Summary

Revision 1.19  2004/03/15 23:32:32  qboosh
- typo, release 7 for Ac

Revision 1.18  2003/05/28 12:59:47  malekith
- massive attack: source-md5

Revision 1.17  2003/05/25 05:50:49  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2002/11/27 22:06:23  juandon
- new %%doc

Revision 1.15  2002/02/22 23:29:17  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/01/18 02:13:54  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/04/30 16:05:22  kloczek
- added using %%{rpmcflags} macro.

Revision 1.12  2001/02/22 04:19:51  kloczek
- release 6,
- merge rawhide patches,
- merge level3 patch from Conectiva.

Revision 1.11  2001/01/25 20:03:25  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.10  2000/12/23 00:48:45  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.9  2000/09/27 14:28:54  kloczek
- release 2: use new rpm automation.

Revision 1.8  2000/06/09 07:23:26  kloczek
- added using %%{__make} macro.

Revision 1.7  2000/06/07 03:33:09  kloczek
- spec adapterized.

Revision 1.6  2000/04/10 17:06:17  baggins
- more spelling fixes

Revision 1.5  2000/04/01 11:14:54  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/02/28 10:26:56  wiget
- don't hardcode $RPM_OPT_FLAGS in Makefiles

Revision 1.3  2000/02/28 08:32:36  kloczek
- updated to 2.5,
- spec adapterized,
- added de, fr, tr translations fron BeroLinux spec,
- removed not necessary now dvips patch,
- updated Source url and added URL,
- removed Copyright fron %doc (clear license in in License field).

Revision 1.2  2000/02/26 18:15:49  mkochano
- Changed installation directories.
- Uses macros (%{_mandir}, %{_libdir}, %{_bindir}, %{_prefix}}
- Compressed documentation and man page.
- Removed stripping of symbols (it is done in Makefile by '-s' option for
  $(CC) ).
- Replaced 'mkdir -p' with 'install -d'.
- Added polish Summary, Group and Description.

Revision 1.1  1999/08/19 20:07:26  baggins
almost raw
